/*------------------------------------------------------------------------------------------------+
|                                                                                                 |
|                                  Interfering HD44780                                            |
|                                                                                                 |
| Name   : InterferingHD44780.c                                                                   |
|                                                                                                 |
| Purpose:                                                                                        |
|          Type the character, the LCD will display what your type. of course, RS232 connection   |
|		   must provided.                                                                         |                                                  
+------------------------------------------------------------------------------------------------*/

#include <reg51.h>
#include <stdio.h>
#include "LCDDriver\LCDConfig.h"

// com port with 9600 baud with crystal 11.0592MHz.
void init_uart(void)
{
	SCON  = 0x50;		        
    TMOD |= 0x20;               
    TH1   = 253;                
    TR1   = 1;                 
    TI    = 1; 
}

/*
	main program to interfering the LCD
*/
void main(void)
{
	char cmd;
	init_uart(); 					// 9600 baud @ 11.0592MHz

	turnOnLCD();
	turnOnRS232();

	printf("typing now");
	while(1)
	{
		scanf("%c",&cmd);
	}//endofwhile

}

